Package Details: passhole 1.9.7-1

Git Clone URL: https://aur.archlinux.org/passhole.git (read-only, click to copy)
Package Base: passhole
Description: KeePass CLI + dmenu interface
Upstream URL: https://github.com/Evidlo/passhole
Submitter: spradlim
Maintainer: PRESFIL
Last Packager: PRESFIL
Votes: 2
Popularity: 0.035988
First Submitted: 2018-01-26 03:04
Last Updated: 2021-06-07 20:17

Latest Comments

seidler2547 commented on 2021-06-07 04:52

@PRESFIL thanks for your comment on the Evidlo github issue. I think first of all, this package (passhole) was released with this tag: https://github.com/Evidlo/passhole/releases/tag/v3.2.1 but it looks like that was a mistake by the repo owner. The latest version is https://github.com/Evidlo/passhole/releases/tag/v1.9.7. However, I don't know what happens if the version of passhole goes from 3.2.1 to 1.9.7, whether or not it will count as upgrade. Fact is, by installing the current version 3.2.1 from AUR, what one will actually get is some code base between 1.9.4 and 1.9.5

seidler2547 commented on 2021-04-08 21:00

Latest version gives me an error when I run ph type. However, when I manually upgrade passhole to 1.9.5 (sudo pip3 install --upgrade passhole) then it works. Can this package be adjusted or is there a better way to do it?

PRESFIL commented on 2020-09-17 12:48

DONE


Please, add python-pykeepass_cache, python-rpyc, python-daemon to dependencies. I created python-pykeepass_cache PKGBUILD, because it is required. And other deps, too.

TheGoliath commented on 2020-06-11 18:50

Don't know yet. python-pykeepass is installed when using makepkg

seidler2547 commented on 2020-06-11 17:56

I updated recently and passhole doesn't start anymore. Error message is pkg_resources.DistributionNotFound: The 'pykeepass_cache' distribution was not found and is required by passhole Any pointers?

spradlim commented on 2018-08-07 21:24

@stef204: I agree on url. Sorry about having it point to the tip, but there was a bug that I filed upstream. It has since been fixed and now I have it point to the latest release version 1.5.0.

stef204 commented on 2018-05-25 08:25

You're missing the upstream url. like this: url="https://github.com/purdueLUG/passhole" can you add tho PKGBUILD (and possibly recreate the .SRCINFO) please?

Also, probably, since this seems to be a "git" package, you might want to call it "passhole-git".

https://wiki.archlinux.org/index.php/Arch_User_Repository#What_is_the_difference_between_foo_and_foo-git_packages.3F

spradlim commented on 2018-03-12 14:29

psi-jack: Thanks, Updated

psi-jack commented on 2018-03-10 22:18

This is lacking "git" in makedepends. aursync -c passhole Helped identify the missing dependencies.